###  | #  |

Functions
DownScalingAlgorithms
ScalingAlgorithms

Algorithms suitable for downscaling. More...

## Functions
template<typename ImageView>
void | scale_lanczos (ImageView input_view, ImageView output_view, std::ptrdiff_t a)
| Complete Lanczos algorithm.

## Detailed Description

Algorithms suitable for downscaling.

These algorithms provide best results when used for downscaling. Using for upscaling will probably provide less than good results.

a single step of lanczos downscaling

Use this algorithm to scale down source image into a smaller image with reasonable quality. Do note that having a look at the output once is a good idea, since it might have ringing artifacts.

## Function Documentation

## ◆ scale_lanczos()

template<typename ImageView>

void scale_lanczos | ( | ImageView | input_view,
|  | ImageView | output_view,
|  | std::ptrdiff_t | a )

Complete Lanczos algorithm.

This algorithm does full pass over resulting image and convolves pixels from original image. Do note that it might be a good idea to have a look at test output as there might be ringing artifacts. Based on wikipedia article: https://en.wikipedia.org/wiki/Lanczos_resampling with standardinzed cardinal sin (sinc)